aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xpackaging/macosx/osx-app.sh2
-rwxr-xr-xpackaging/macosx/osx-dmg.sh.in7
2 files changed, 5 insertions, 4 deletions
diff --git a/packaging/macosx/osx-app.sh b/packaging/macosx/osx-app.sh
index 0336fc63d6..4f0d63ba84 100755
--- a/packaging/macosx/osx-app.sh
+++ b/packaging/macosx/osx-app.sh
@@ -592,7 +592,7 @@ else
fi
codesign_file () {
- codesign --sign "$CODE_SIGN_IDENTITY" --verbose "$1"
+ codesign --sign "Developer ID Application: $CODE_SIGN_IDENTITY" --verbose "$1"
codesign --verify --verbose "$1" || exit 1
spctl --assess --type execute "$1" || exit 1
}
diff --git a/packaging/macosx/osx-dmg.sh.in b/packaging/macosx/osx-dmg.sh.in
index 2c24d5fc5c..d858d37b60 100755
--- a/packaging/macosx/osx-dmg.sh.in
+++ b/packaging/macosx/osx-dmg.sh.in
@@ -152,16 +152,17 @@ pkg_file="$pkg_title.pkg"
rm -rf "$pkg_file"
packagemaker --doc "Wireshark_package.pmdoc" \
--title "$pkg_title" \
+ --id "org.wireshark.pkg.Wireshark"
--version "$version" \
--target 10.5 \
--verbose || exit 1
if [ -n "$CODE_SIGN_IDENTITY" ] ; then
- #pkg_file_unsigned="$pkg_title UNSIGNED.pkg"
+ pkg_file_unsigned="$pkg_title UNSIGNED.pkg"
echo -e "Signing $pkg_file"
- #mv "$pkg_file" "$pkg_file_unsigned" || exit 1
- #productsign --sign "$CODE_SIGN_IDENTITY" "$pkg_file_unsigned" "$pkg_file" || exit 1
+ mv "$pkg_file" "$pkg_file_unsigned" || exit 1
+ productsign --sign "Developer ID Installer: $CODE_SIGN_IDENTITY" "$pkg_file_unsigned" "$pkg_file" || exit 1
codesign --sign "$CODE_SIGN_IDENTITY" --verify "$pkg_file" || exit 1
spctl --assess --type install "$pkg_file" #|| exit 1
shasum "$pkg_file"